Bug 823275 - [ovirt] [engine-core] engine fails put host in maintenance in case host runs a vm engine doesn't familiar with
[ovirt] [engine-core] engine fails put host in maintenance in case host runs ...
Status: CLOSED WONTFIX
Product: oVirt
Classification: Community
Component: ovirt-engine-core (Show other bugs)
unspecified
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
virt, infra
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-20 10:32 EDT by Haim
Modified: 2014-01-12 19:52 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-03 07:25:42 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Haim 2012-05-20 10:32:40 EDT
Description of problem:

- host is up and running 
- host is running a stale vm from different setup which doesn't appear in engine db
- user tries to put host to maintenance 

results: host is stuck in 'preparing for maintenance' 

log on engine: 

2012-05-20 13:59:11,766 INFO  [org.ovirt.engine.core.bll.MaintananceNumberOfVdssCommand] (pool-10-thread-49) [45b215b] Running command: MaintananceNumberOfVdssCommand internal: false. Entities affected :  ID: 5a984caa-a259-11e1-8664-001a4a1697ae Type: VDS
2012-05-20 13:59:11,768 INFO  [org.ovirt.engine.core.vdsbroker.SetVdsStatusVDSCommand] (pool-10-thread-49) [45b215b] START, SetVdsStatusVDSCommand(vdsId = 5a984caa-a259-11e1-8664-001a4a1697ae, status=PreparingForMaintenance, nonOperationalReason=NONE), log id: 360726d5
2012-05-20 13:59:11,799 INFO  [org.ovirt.engine.core.vdsbroker.SetVdsStatusVDSCommand] (pool-10-thread-49) [45b215b] FINISH, SetVdsStatusVDSCommand, log id: 360726d5
2012-05-20 13:59:11,854 INFO  [org.ovirt.engine.core.bll.MaintananceVdsCommand] (pool-10-thread-49) [7b8b575b] Running command: MaintananceVdsCommand internal: true. Entities affected :  ID: 5a984caa-a259-11e1-8664-001a4a1697ae Type: VDS
2012-05-20 13:59:12,810 INFO  [org.ovirt.engine.core.vdsbroker.VdsUpdateRunTimeInfo] (QuartzScheduler_Worker-87) VDS::UpdateVmRunTimeInfo Error: found VM on a VDS that is not in the database!
2012-05-20 13:59:14,872 INFO  [org.ovirt.engine.core.vdsbroker.VdsUpdateRunTimeInfo] (QuartzScheduler_Worker-80) VDS::UpdateVmRunTimeInfo Error: found VM on a VDS that is not in the database!
2012-05-20 13:59:16,926 INFO  [org.ovirt.engine.core.vdsbroker.VdsUpdateRunTimeInfo] (QuartzScheduler_Worker-92) VDS::UpdateVmRunTimeInfo Error: found VM on a VDS that is not in the database!
2012-05-20 13:59:19,011 INFO  [org.ovirt.engine.core.vdsbroker.VdsUpdateRunTimeInfo] (QuartzScheduler_Worker-79) VDS::UpdateVmRunTimeInfo Error: found VM on a VDS that is not in the database!
2012-05-20 13:59:21,065 INFO  [org.ovirt.engine.core.vdsbroker.VdsUpdateRunTimeInfo] (QuartzScheduler_Worker-91) VDS::UpdateVmRunTimeInfo Error: found VM on a VDS that is not in the database!
2012-05-20 13:59:23,148 INFO  [org.ovirt.engine.core.vdsbroker.VdsUpdateRunTimeInfo] (QuartzScheduler_Worker-97) VDS::UpdateVmRunTimeInfo Error: found VM on a VDS that is not in the database!
2012-05-20 13:59:25,235 INFO  [org.ovirt.engine.core.vdsbroker.VdsUpdateRunTimeInfo] (QuartzScheduler_Worker-98) VDS::UpdateVmRunTimeInfo Error: found VM on a VDS that is not in the database!
2012-05-20 13:59:27,348 INFO  [org.ovirt.engine.core.vdsbroker.VdsUpdateRunTimeInfo] (QuartzScheduler_Worker-3) VDS::UpdateVmRunTimeInfo Error: found VM on a VDS that is not in the database!
2012-05-20 13:59:29,415 INFO  [org.ovirt.engine.core.vdsbroker.VdsUpdateRunTimeInfo] (QuartzScheduler_Worker-25) VDS::UpdateVmRunTimeInfo Error: found VM on a VDS that is not in the database!
2012-05-20 13:59:31,519 INFO  [org.ovirt.engine.core.vdsbroker.VdsUpdateRunTimeInfo] (QuartzScheduler_Worker-95) VDS::UpdateVmRunTimeInfo Error: found VM on a VDS that is not in the database!
2012-05-20 13:59:33,582 INFO  [org.ovirt.engine.core.vdsbroker.VdsUpdateRunTimeInfo] (QuartzScheduler_Worker-2) VDS::UpdateVmRunTimeInfo Error: found VM on a VDS that is not in the database!
2012-05-20 13:59:35,836 INFO  [org.ovirt.engine.core.vdsbroker.VdsUpdateRunTimeInfo] (QuartzScheduler_Worker-27) VDS::UpdateVmRunTimeInfo Error: found VM on a VDS that is not in the database!
2012-05-20 13:59:37,934 INFO  [org.ovirt.engine.core.vdsbroker.VdsUpdateRunTimeInfo] (QuartzScheduler_Worker-29) VDS::UpdateVmRunTimeInfo Error: found VM on a VDS that is not in the database!
2012-05-20 13:59:40,031 INFO  [org.ovirt.engine.core.vdsbroker.VdsUpdateRunTimeInfo] (QuartzScheduler_Worker-31) VDS::UpdateVmRunTimeInfo Error: found VM on a VDS that is not in the database!
2012-05-20 13:59:42,117 INFO  [org.ovirt.engine.core.vdsbroker.VdsUpdateRunTimeInfo] (QuartzScheduler_Worker-28) VDS::UpdateVmRunTimeInfo Error: found VM on a VDS that is not in the database!
2012-05-20 13:59:44,177 INFO  [org.ovirt.engine.core.vdsbroker.VdsUpdateRunTimeInfo] (QuartzScheduler_Worker-42) VDS::UpdateVmRunTimeInfo Error: found VM on a VDS that is not in the database!
2012-05-20 13:59:46,245 INFO  [org.ovirt.engine.core.vdsbroker.VdsUpdateRunTimeInfo] (QuartzScheduler_Worker-13) VDS::UpdateVmRunTimeInfo Error: found VM on a VDS that is not in the database!
2012-05-20 13:59:48,326 INFO  [org.ovirt.engine.core.vdsbroker.VdsUpdateRunTimeInfo] (QuartzScheduler_Worker-26) VDS::UpdateVmRunTimeInfo Error: found VM on a VDS that is not in the database!
2012-05-20 13:59:50,406 INFO  [org.ovirt.engine.core.vdsbroker.VdsUpdateRunTimeInfo] (QuartzScheduler_Worker-30) VDS::UpdateVmRunTimeInfo Error: found VM on a VDS that is not in the database!
2012-05-20 13:59:52,467 INFO  [org.ovirt.engine.core.vdsbroker.VdsUpdateRunTimeInfo] (QuartzScheduler_Worker-35) [49ea254c] VDS::UpdateVmRunTimeInfo Error: found VM on a VDS that is not in the database!
2012-05-20 13:59:54,532 INFO  [org.ovirt.engine.core.vdsbroker.VdsUpdateRunTimeInfo] (QuartzScheduler_Worker-62) [5f930d48] VDS::UpdateVmRunTimeInfo Error: found VM on a VDS that is not in the database!
2012-05-20 13:59:56,598 INFO  [org.ovirt.engine.core.vdsbroker.VdsUpdateRunTimeInfo] (QuartzScheduler_Worker-50) [4b6d559] VDS::UpdateVmRunTimeInfo Error: found VM on a VDS that is not in the database!
2012-05-20 13:59:58,667 INFO  [org.ovirt.engine.core.vdsbroker.VdsUpdateRunTimeInfo] (QuartzScheduler_Worker-55) VDS::UpdateVmRunTimeInfo Error: found VM on a VDS that is not in the database!


mitigation: kill vm on host, host went to maintenance
Comment 1 Itamar Heim 2013-02-03 07:25:42 EST
Closing old bugs. If this issue is still relevant/important in current version, please re-open the bug.

Note You need to log in before you can comment on or make changes to this bug.